# Uses of Interface
java.lang.classfile.TypeAnnotation.LocalVarTargetInfo

Packages that use TypeAnnotation.LocalVarTargetInfo
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of TypeAnnotation.LocalVarTargetInfo in java.lang.classfile

Methods in java.lang.classfile that return TypeAnnotation.LocalVarTargetInfo
Modifier and Type
Method
Description
`static TypeAnnotation.LocalVarTargetInfo`
TypeAnnotation.LocalVarTargetInfo.`of(Label startLabel, Label endLabel, int index)`
Returns local variable target info.
Methods in java.lang.classfile that return types with arguments of type TypeAnnotation.LocalVarTargetInfo
Modifier and Type
Method
Description
`List<TypeAnnotation.LocalVarTargetInfo>`
TypeAnnotation.LocalVarTarget.`table()`
Returns the table of local variable location/indices.
Method parameters in java.lang.classfile with type arguments of type TypeAnnotation.LocalVarTargetInfo
Modifier and Type
Method
Description
`static TypeAnnotation.LocalVarTarget`
TypeAnnotation.TargetInfo.`ofLocalVariable(List<TypeAnnotation.LocalVarTargetInfo> table)`
Returns a target for annotations on the type in a local variable declaration.
`static TypeAnnotation.LocalVarTarget`
TypeAnnotation.TargetInfo.`ofResourceVariable(List<TypeAnnotation.LocalVarTargetInfo> table)`
Returns a target for annotations on the type in a local variable declared as a resource in a try-with-resources statement.
`static TypeAnnotation.LocalVarTarget`
TypeAnnotation.TargetInfo.`ofVariable(TypeAnnotation.TargetType targetType, List<TypeAnnotation.LocalVarTargetInfo> table)`
Returns a target for annotations on the type in a local variable declaration, including a variable declared as a resource in a try-with-resources statement.